Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 234012 - net-libs/libjingle-0.3.11 mixes up CFLAGS and CXXFLAGS
Summary: net-libs/libjingle-0.3.11 mixes up CFLAGS and CXXFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: voip herd (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mixing-flags
  Show dependency tree
 
Reported: 2008-08-05 20:28 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-02-07 05:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (net-libs:libjingle-0.3.11:20080804-165843.log,54.30 KB, text/plain)
2008-08-05 20:31 UTC, Diego Elio Pettenò (RETIRED)
Details
Fixing patch (libjingle-0.3.11-r1.ebuild.patch,860 bytes, patch)
2009-02-05 17:35 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-08-05 20:28:09 UTC
Check the attached build log, grep for -Wno-pointer-sign.

Thanks,
Diego
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-08-05 20:31:07 UTC
Created attachment 162298 [details]
Build log
Comment 2 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-02-05 17:35:48 UTC
Created attachment 181059 [details, diff]
Fixing patch

configure.ac had a trivial error with CXXFLAGS="$(CFLAGS) ". I run a basic sed in configure (not configure.ac to prevent autoconf) and it fixes everything.

This patch is adding the sed command and switch from src_unpack to src_prepare.

I assumed it will be better to update to -r1 so everyone will recompile the ebuild with fixed CXXFLAGS.
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-07 05:17:53 UTC
thanks, done.